### Method

# FwupdPlugin Device sleep

since: 1.8.11

#### Declaration [src]

    void
    fu_device_sleep (
      FuDevice* self,
      guint delay_ms
    )

#### Description [src]

Delays program execution up to 100 seconds, unless the device is emulated where no delays is performed.

Long unavoidable delays (more than 1 second) should really use `fu_device_sleep_full()` so that the percentage progress bar is updated.

Available since: 1.8.11

#### Parameters

`delay_ms`

  Type: `guint`

  Delay in milliseconds.